BRepBuilderAPI_MakeFace

I have a problem with meshing faces built with BRepBuilderAPI_MakeFace:

BRepBuilderAPI_MakeFace MF(S, W);

where S is the underlying Surface and W is the closed Wire that represents
the outer face boundary in 3D space.
If S is a plane everything works fine and I can mesh the face,
but if S is BSpline surface for example, I cannot mesh the face, although
it was built correctly (I checked the error status after face creation).

Does anybody know where the problem is?

Is there a possibilty to assign a parametric description in the domain of the surface
to the edges of the wire (perhaps OpenCASCADE cannot project the 3D boundary onto the surface)?

Thanks

Nicolas

jelle's picture

sounds like the orientation is messed up;
if the orientation of your face & wire are in the same direction, than of course you wont get a good result...
so my guess would be right hand ruled stuff...